Retrieve Execution

Retrieve the file execution details for a given `executionId`.

GET/executions/{executionId}
Authorization
RequiredHeader

A production Stedi API Key for authentication.

Path Parameters

A unique identifier for the file execution within Stedi. This ID is included in the file processed event, or you can retrieve it manually from the file's details page within the Stedi portal.

Response

application/json
createdAt
StringRequiredFormat: date-time

The date and time when the resource was created, in ISO 8601 format. For example, 2023-08-28T00:00:00Z.

updatedAt
StringRequiredFormat: date-time

The date and time when the resource was last updated, in ISO 8601 format. For example, 2023-08-28T00:00:00Z.

executionId
StringRequired

A unique identifier for the processed file within Stedi. This ID is included in the transaction processed event. You can also retrieve it manually from the file's details page in the Stedi portal.

status
StringRequired

The status of the execution.

  • You can only retry executions with a FAILED or IGNORED status.
  • An execution is COMPLETED when Stedi has finished processing the file with no errors. If the file is an outbound file, a COMPLETED status also means that Stedi successfully delivered it to the configured connection.
Possible values
COMPLETED
PARTIALLY_COMPLETED
FAILED
IGNORED
IN_PROGRESS
direction
StringRequired

The direction of the transaction. Inbound transactions are those you receive from a payer, provider, or other trading partner. Outbound transactions are those you send to a payer, provider, or other trading partner.

Possible values
INBOUND
OUTBOUND
UNKNOWN

The number of individual transactions included in the file.

The number of errors that occurred during processing. If the file was successfully processed completely, this value is 0.

faultCode
String

A code specifying the reason for the fault. This code appears in the code property of the HTTP error response.

Possible values
DELIVERY_FAILURE
FAILED_TO_EXTRACT_BUSINESS_IDENTIFIERS
FAILED_TO_FIND_GUIDE
FAILED_TO_FIND_LOCAL_PROFILE
FAILED_TO_FIND_PARTNER_PROFILE

A message providing more information about the fault. Note that if there are multiple faults, Stedi sets the first fault as the code and corresponding message.

fileType
String

The file format. For example, EDI/EDIFACT for an EDIFACT file or EDI/X12 for an X12 EDI file.

Possible values
CSV
EDI/EDIFACT
FILEPART
JSON
PSV
retryable
Boolean

If true, you can retry the file in the Stedi portal.

The ID of this execution's parent execution, if it is part of a retry chain. When you retry a file, Stedi creates a child execution with a new ID and links it to the original (parent) execution.

The ID of this execution's child execution, if it is part of a retry chain. When you retry a file, Stedi creates a child execution with a new ID and links it to the original (parent) execution.

partnershipId
StringRegex pattern: ^([a-zA-Z0-9._-]+)$Length: 1 - 81

The unique identifier for the partnership within the Stedi platform.

A partnership describes all aspects of the EDI relationship between two profiles in your Stedi account, such as which transaction sets they will exchange and other important information for processing EDI files.

The type of connection used for file delivery.

Possible values
BUCKET
AS2
STEDI_FTP
REMOTE_FTP
STEDI_ACCOUNT_FTP
connectionId
StringRegex pattern: ^[0123456789ABCDEFGHJKMNPQRSTVWXYZ]{26}$

An autogenerated identifier for the connection within the Stedi platform.

source
Object

The source of the file, including the directory where Stedi received it and the file name.

Show attributes
mode
StringRequired

Indicates whether the file execution contains test or production data. Stedi determines this from the value in ISA15 (Usage Indicator Code).

Possible values
test
production
other
unknown
artifacts
Array of Objects

A list of artifacts related to the transaction. Input artifacts represent the original transaction data Stedi received before processing. Output artifacts represent the processed data.

For example, for an inbound 835 ERA from a payer, the input artifact would be the original X12 EDI, and the output artifact would be the JSON representation of the ERA.

Array item
deliveryReports
Array of Objects

Details about delivery attempts for outbound files./n/nStedi attempts to deliver a file to all configured connections every 6 minutes for up to 3 total attempts. If it cannot deliver the file after the third attempt, it marks the file execution as FAILED and emits the file failed event.

Array item